org.springframework.shell.core

## Class SimpleParser

- java.lang.Object
- - org.springframework.shell.core.SimpleParser

- All Implemented Interfaces:
    Parser

      public class SimpleParser
      extends Object
      implements Parser

  Default implementation of `Parser`.
  Since:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(CommandMarker command)`
    `void` | `add(Converter<?> converter)`
    `protected void` | `commandNotFound(Logger logger, String buffer)`
    `int` | `complete(String buffer, int cursor, List<String> candidates)` Populates a list of completion candidates.
    `int` | `completeAdvanced(String buffer, int cursor, List<Completion> candidates)` Populates a list of completion candidates.
    `Set<CommandMarker>` | `getCommandMarkers()`
    `Set<Converter<?>>` | `getConverters()`
    `Set<String>` | `getEveryCommand()`
    `void` | `obtainHelp(String buffer)`
    `ParseResult` | `parse(String rawInput)`
    `void` | `remove(CommandMarker command)`
    `void` | `remove(Converter<?> converter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleParser

          public SimpleParser()

  - ### Method Detail

    - #### parse

          public ParseResult parse(String rawInput)

      Specified by:
        `parse` in interface `Parser`

    - #### commandNotFound

          protected void commandNotFound(Logger logger,
                             String buffer)

    - #### complete

          public int complete(String buffer,
                     int cursor,
                     List<String> candidates)

      Description copied from interface: `Parser`
      Populates a list of completion candidates. This method is required for backward compatibility for STS versions up to 2.8.0.
      Specified by:
        `complete` in interface `Parser`
      Returns:

    - #### completeAdvanced

          public int completeAdvanced(String buffer,
                             int cursor,
                             List<Completion> candidates)

      Description copied from interface: `Parser`
      Populates a list of completion candidates.
      Specified by:
        `completeAdvanced` in interface `Parser`
      Returns:

    - #### obtainHelp

          public void obtainHelp(@CliOption(key={"","command"},optionContext="availableCommands",help="Command name to provide help for")
                        String buffer)

    - #### getEveryCommand

          public Set<String> getEveryCommand()

    - #### add

          public final void add(CommandMarker command)

    - #### getCommandMarkers

          public final Set<CommandMarker> getCommandMarkers()

    - #### remove

          public final void remove(CommandMarker command)

    - #### add

          public final void add(Converter<?> converter)

    - #### remove

          public final void remove(Converter<?> converter)

    - #### getConverters

          public final Set<Converter<?>> getConverters()